using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace ms_useCaseService.Database.Models;

[Table("framework_types")]
[Index(nameof(FrameworkType.Identifier), IsUnique = true)]
public class FrameworkType
{
    [Column("id_framework_type")]
    [Key]
    public int Identifier { get; set; }
    
    [Column("framework_type")]
    [MaxLength(128)]
    public string Type { get; set; }

   public virtual ICollection<FrameworkMetadataType> FrameworkMetadataTypes { get; set; } =
        new List<FrameworkMetadataType>();

}